astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_ConicPerspective

# Pix2Sky_ConicPerspective

class `astropy.modeling.projections.``Pix2Sky_ConicPerspective`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.Conic`

  Colles’ conic perspective projection - pixel to sky.

  Corresponds to the `COP` projection in FITS WCS.

  See `Conic` for a description of the entire equation.

  The projection formulæ are:

  C &= \sin \theta_a \\ R_\theta &= \frac{180^\circ}{\pi} \cos \eta [ \cot \theta_a - \tan(\theta - \theta_a)] \\ Y_0 &= \frac{180^\circ}{\pi} \cos \eta \cot \theta_a

  Parameters:

  sigma : float

  > (\theta_1 + \theta_2) / 2, where \theta_1 and \theta_2 are the latitudes of the standard parallels, in degrees. Default is 90.

  delta : float

  > (\theta_1 - \theta_2) / 2, where \theta_1 and \theta_2 are the latitudes of the standard parallels, in degrees. Default is 0.

  Attributes Summary

  `param_names` |

  Methods Summary

  `evaluate`(x, y, sigma, delta) |

  Attributes Documentation

  `param_names` = ('sigma', 'delta')

  Methods Documentation

  classmethod `evaluate`(x, y, sigma, delta)